Add IPv6 RR lookup capabilities
Closed, ResolvedPublic

Description

Should be able to lookup 2607:f8b0:4009:816::200e and find it belongs to Google.

dig google.com AAAA

; <<>> DiG 9.12.1 <<>> google.com AAAA
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 56427
;; flags: qr rd ra; QUERY: 1, ANSWER: 1, AUTHORITY: 0, ADDITIONAL: 1

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags:; udp: 1452
;; QUESTION SECTION:
;google.com.                    IN      AAAA

;; ANSWER SECTION:
google.com.             193     IN      AAAA    2607:f8b0:4009:816::200e

;; Query time: 70 msec
;; SERVER: ::1#53(::1)
;; WHEN: Tue Dec 04 12:00:16 Central Standard Time 2018
;; MSG SIZE  rcvd: 67

joe@host:~$ whois 2607:f8b0:4009:816::200e

#
# ARIN WHOIS data and services are subject to the Terms of Use
# available at: https://www.arin.net/whois_tou.html
#
# If you see inaccuracies in the results, please report at
# https://www.arin.net/resources/whois_reporting/index.html
#
# Copyright 1997-2018, American Registry for Internet Numbers, Ltd.
#


NetRange:       2607:F8B0:: - 2607:F8B0:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF
CIDR:           2607:F8B0::/32
NetName:        GOOGLE-IPV6
NetHandle:      NET6-2607-F8B0-1
Parent:         NET6-2600 (NET6-2600-1)
NetType:        Direct Allocation
OriginAS:       AS22577, AS15169
Organization:   Google LLC (GOGL)
RegDate:        2009-03-12
Updated:        2012-02-24
Ref:            https://rdap.arin.net/registry/ip/2607:F8B0::
Joe created this task.Tue, Dec 4, 12:05 PM
Joe created this object in space S5 Public.
Joe triaged this task as Normal priority.
Joe created this object with visibility "Public (No Login Required)".
Joe updated the task description. (Show Details)
Joe closed this task as Resolved.Tue, Dec 4, 7:27 PM
WhoIs Lookup performed by Karen's WhoIs v2.7
Visit https://www.karenware.com/
Query [2607:f8b0:4009:816::200e] whois://whois.arin.net

#
# ARIN WHOIS data and services are subject to the Terms of Use
# available at: https://www.arin.net/whois_tou.html
#
# If you see inaccuracies in the results, please report at
# https://www.arin.net/resources/whois_reporting/index.html
#
# Copyright 1997-2018, American Registry for Internet Numbers, Ltd.
#


NetRange:       2607:F8B0:: - 2607:F8B0:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF
CIDR:           2607:F8B0::/32
NetName:        GOOGLE-IPV6
NetHandle:      NET6-2607-F8B0-1
Parent:         NET6-2600 (NET6-2600-1)
NetType:        Direct Allocation
OriginAS:       AS22577, AS15169
Organization:   Google LLC (GOGL)
RegDate:        2009-03-12
Updated:        2012-02-24
Ref:            https://rdap.arin.net/registry/ip/2607:F8B0::



OrgName:        Google LLC
OrgId:          GOGL
Address:        1600 Amphitheatre Parkway
City:           Mountain View
StateProv:      CA
PostalCode:     94043
Country:        US
RegDate:        2000-03-30
Updated:        2018-10-24
Comment:        Please note that the recommended way to file abuse complaints are located in the following links. 
Comment:        
Comment:        To report abuse and illegal activity: https://www.google.com/contact/
Comment:        
Comment:        For legal requests: http://support.google.com/legal 
Comment:        
Comment:        Regards, 
Comment:        The Google Team
Ref:            https://rdap.arin.net/registry/entity/GOGL


OrgAbuseHandle: ABUSE5250-ARIN
OrgAbuseName:   Abuse
OrgAbusePhone:  +1-650-253-0000 
OrgAbuseEmail:  network-abuse@google.com
OrgAbuseRef:    https://rdap.arin.net/registry/entity/ABUSE5250-ARIN

OrgTechHandle: ZG39-ARIN
OrgTechName:   Google LLC
OrgTechPhone:  +1-650-253-0000 
OrgTechEmail:  arin-contact@google.com
OrgTechRef:    https://rdap.arin.net/registry/entity/ZG39-ARIN


#
# ARIN WHOIS data and services are subject to the Terms of Use
# available at: https://www.arin.net/whois_tou.html
#
# If you see inaccuracies in the results, please report at
# https://www.arin.net/resources/whois_reporting/index.html
#
# Copyright 1997-2018, American Registry for Internet Numbers, Ltd.
#
Joe moved this task from Backlog to v2.7 Released 2018-12-05 on the WhoIs board.Wed, Dec 5, 8:31 PM
Joe edited projects, added WhoIs (v2.7 Released 2018-12-05); removed WhoIs.